#include <bits/stdc++.h>

using namespace std;

long long a, b;

int main()
{
    cin >> a >> b;
    if (a==1){
        cout << b;
        return 0;
    }
    if (b==1){
        cout << a;
        return 0;
    }
    cout << 2*(a+b)-4+(a-2)*(b-2)/2;
    return 0;
}